
Redmine - Defect #20465

MailHandler: ignoring email with Auto-Submitted:auto-generated header

2015-08-03 13:39 - Benoit BRETON

Status: Needs feedback Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 3.1.0

Description

I think there's a little bug in the processing file "mail_handler.rb" a line 84.

It should be replaced:

     'Auto-Submitted' => / \ Aauto- (Replied | generated) /,

by

     'Auto-Submitted' => / \ ^ self (Replied | generated) /,

Related issues:

Related to Redmine - Patch #16190: Relax rejections based on Auto-Submitted h... Closed

History

#1 - 2015-09-02 05:36 - Toshi MARUYAMA

- Status changed from New to Needs feedback

Please describe more details.

#2 - 2015-12-04 23:18 - Nate Mow

I think I've run in to the same bug with our 3.0.3 instance; mail is definitely being sent for some circumstances, but through some combination of

acting through the UI and also responding via direct email replies, the log tail is showing "MailHandler: ignoring email with

Auto-Submitted:auto-replied header". I've confirmed this is happening using both local sendmail and Gmail SMTP.

It seems like a workaround might go in app/models/mailer.rb to allow config/settings.yml:mail_from config to override that value to at least allow users

to skip the mail_handler.rb validation.

#3 - 2015-12-04 23:31 - Nate Mow

As best I can tell, it looks like once the header has been added, whether by Redmine or by an external mail server (e.g. #16190), Redmine will just

skip sending of some emails...data does make it in, attaches to correct ticket, etc. but no notice is happening.

#4 - 2015-12-05 18:44 - Toshi MARUYAMA

- Related to Patch #16190: Relax rejections based on Auto-Submitted header added
